Index: /code/trunk/data/levels/towerDefense.oxw
===================================================================
--- /code/trunk/data/levels/towerDefense.oxw	(revision 11051)
+++ /code/trunk/data/levels/towerDefense.oxw	(revision 11052)
@@ -39,6 +39,6 @@
   <TowerDefenseTower
   explosionchunks=6
-  reloadrate=10 
-  reloadwaittime=5 
+  shieldrechargerate=10 
+  shieldrechargewaittime=5 
   collisionType="none" 
   pitch="0" 
@@ -60,5 +60,5 @@
       <WeaponSet firemode=0 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -69,5 +69,8 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10 replenishamount=1 replenishinterval=0.3/>
+    </munition>
   </TowerDefenseTower>
 </Template>
@@ -76,6 +79,6 @@
   <TowerDefenseTower
   explosionchunks=6
-  reloadrate=10 
-  reloadwaittime=5 
+  shieldrechargerate=10 
+  shieldrechargewaittime=5 
   collisionType="none" 
   pitch="0" 
@@ -97,5 +100,5 @@
       <WeaponSet firemode=0 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -106,5 +109,8 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LightningMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
+    </munition>
     <attached>
       <Backlight position="0,0,0" scale=2.0 colour="0.4, 0.0, 1.0" width=10 length=10 lifetime=0.3 elements=20 trailmaterial="Trail/backlighttrail" material="Examples/Flare" loop=1 />
@@ -116,6 +122,6 @@
   <TowerDefenseTower
   explosionchunks=6
-  reloadrate=10 
-  reloadwaittime=5 
+  shieldrechargerate=10 
+  shieldrechargewaittime=5 
   collisionType="none" 
   pitch="0" 
@@ -137,5 +143,5 @@
       <WeaponSet firemode=0 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -146,5 +152,8 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <SplitMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
+    </munition>
   </TowerDefenseTower>
 </Template>
@@ -153,6 +162,6 @@
   <TowerDefenseTower
   explosionchunks=6
-  reloadrate=10 
-  reloadwaittime=5 
+  shieldrechargerate=10 
+  shieldrechargewaittime=5 
   collisionType="none" 
   pitch="0" 
@@ -174,5 +183,5 @@
       <WeaponSet firemode=0 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -180,8 +189,11 @@
         </links>
         <Weapon>
-          <RocketFire mode=0 munitionpershot=0 muzzleoffset="0,0,0" damage=2 shielddamage=4 />  
+          <RocketFire mode=0 munitionpershot=0 muzzleoffset="0,0,0" damage=2 shielddamage=4 fuel=10/>  
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <RocketMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
+    </munition>
       <attached>
       <ParticleSpawner position="0,0,0" source="Orxonox/sparks" lifetime=3.0 autostart=1 loop=1 />
@@ -193,6 +205,6 @@
   <TowerDefenseTower
   explosionchunks=6
-  reloadrate=10 
-  reloadwaittime=5 
+  shieldrechargerate=10 
+  shieldrechargewaittime=5 
   collisionType="none" 
   pitch="0" 
@@ -214,5 +226,5 @@
       <WeaponSet firemode=0 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -223,5 +235,8 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <IceMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
+    </munition>
   </TowerDefenseTower>
 </Template>
@@ -243,6 +258,6 @@
    maxshieldhealth     = 15
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 1000
@@ -308,6 +323,6 @@
    maxshieldhealth     = 0
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 100
@@ -381,6 +396,6 @@
    maxshieldhealth     = 5
    shieldabsorption    = 0.8
-   reloadrate          = 1
-   reloadwaittime      = 1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
 
    primaryThrust     = 100
Index: /code/trunk/data/overlays/HUDTemplates3.oxo
===================================================================
--- /code/trunk/data/overlays/HUDTemplates3.oxo	(revision 11051)
+++ /code/trunk/data/overlays/HUDTemplates3.oxo	(revision 11052)
@@ -27,4 +27,22 @@
 </Template>
 
+<Template name="rockethud">
+  <OverlayGroup name = "rockethud" scale = "1, 1">
+    <HUDRocketFuelBar
+     name          = "RocketFuelBar1"
+     background    = "Orxonox/BarBackground"
+     size          = "0.40, 0.04"
+     position      = "0.0 , 1.0 "
+     pickpoint     = "0, 1"
+     correctaspect = true
+     iconmaterial  = "Orxonox/BarIconFuel"
+    >
+      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
+      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
+      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
+    </HUDRocketFuelBar>
+  </OverlayGroup>
+</Template>
+
 <Template name="spaceshiphud">
   <OverlayGroup name = "spaceshiphud" scale = "1, 1">
@@ -34,16 +52,16 @@
      name              = "HealthBar1"
      background        = "Orxonox/HealthBarBackground"
-     size              = "0.35, 0.0875"
-     position          = "0.0 , 0.9 "
+     size              = "0.40, 0.08"
+     position          = "0.0 , 0.85 "
      pickpoint         = "0, 1"
      bartexture        = "healthbar_bar.png"
      textfont          = "VeraMono"
      textusebarcolour  = true
-     textsize          = 0.039
-     textoffset        = "0.315, 0.05"
+     textscale          = 0.4
+     textoffset        = "0.325, -0.825"
      textpickpoint     = "0, 0"
      textalign         = "right"
-     correctaspect     = false
-     textcorrectaspect = false
+     correctaspect     = true
+     iconmaterial      = "Orxonox/BarIconHealth"
     >
       <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
@@ -51,12 +69,27 @@
       <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
     </HUDHealthBar>
+
+    <HUDShieldBar
+     name          = "ShieldBar1"
+     background    = "Orxonox/BarBackground"
+     size          = "0.40, 0.04"
+     position      = "0.0 , 0.9 "
+     pickpoint     = "0, 1"
+     correctaspect = true
+     iconmaterial  = "Orxonox/BarIconShield"
+    >
+      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
+      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
+      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
+    </HUDShieldBar>    
 
     <HUDSpeedBar
      name          = "SpeedBar1"
      background    = "Orxonox/BarBackground"
-     size          = "0.35, 0.05"
+     size          = "0.40, 0.04"
      position      = "0.0 , 0.95 "
      pickpoint     = "0, 1"
-     correctaspect = false
+     correctaspect = true
+     iconmaterial  = "Orxonox/BarIconSpeed"
     >
       <BarColour position = 0.0 colour = "0.7,0.5,0.2" />
@@ -67,9 +100,10 @@
     <HUDBoostBar
      name          = "BoostBar1"
-     backgroundtex = "bar1.png"
-     size          = "0.35, 0.05"
+     background    = "Orxonox/BarBackground"
+     size          = "0.40, 0.04"
      position      = "0.0 , 1.0 "
      pickpoint     = "0, 1"
-     correctaspect = false
+     correctaspect = true
+     iconmaterial  = "Orxonox/BarIconBoost"
     >
       <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
@@ -81,16 +115,16 @@
      name              = "EnemyHealthBar"
      background        = "Orxonox/HealthBarBackground"
-     size              = "0.35, 0.0875"
-     position          = "1 ,0.1"
-     pickpoint         = "1, 1"
+     size              = "0.4, 0.08"
+     position          = "1 ,0"
+     pickpoint         = "1, 0"
      bartexture        = "healthbar_bar.png"
      textfont          = "VeraMono"
      textusebarcolour  = true
-     textsize          = 0.039
-     textoffset        = "0.315, 0.05"
+     textscale         = 0.4
+     textoffset        = "-0.675, 0.175"
      textpickpoint     = "0, 0"
      textalign         = "right"
-     correctaspect     = false
-     textcorrectaspect = false
+     correctaspect     = true
+     iconmaterial      = "Orxonox/BarIconHealth"
     >
       <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
@@ -98,4 +132,18 @@
       <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
     </HUDEnemyHealthBar>
+
+    <HUDEnemyShieldBar
+     name          = "EnemyShieldBar1"
+     background    = "Orxonox/BarBackground"
+     size          = "0.40, 0.04"
+     position      = "1.0 , 0.1 "
+     pickpoint     = "1, 0"
+     correctaspect = true
+     iconmaterial  = "Orxonox/BarIconShield"
+    >
+      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
+      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
+      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
+    </HUDEnemyShieldBar>   
 
     <HUDNavigation
@@ -127,4 +175,13 @@
      mapAngle3D   			= 0.6435011
     />
+
+    <HUDWeaponSystem
+     name                   = "WeaponSystem"
+     correctaspect          = true
+     position               = "0.01, 0.01"
+     pickpoint              = "0, 0"
+     visible                = "true"
+     weaponModeHUDSize      = "0.09, 0.03"
+    />
     
     <HUDTimer
Index: /code/trunk/data/overlays/HoverHUD.oxo
===================================================================
--- /code/trunk/data/overlays/HoverHUD.oxo	(revision 11052)
+++ /code/trunk/data/overlays/HoverHUD.oxo	(revision 11052)
@@ -0,0 +1,46 @@
+<Template name="HoverHUD">
+  <OverlayGroup name="HoverHUD" scale = "1, 1">
+  </OverlayGroup>
+</Template>
+
+
+<Template name="spaceshiphoverhud">
+  <OverlayGroup name = "spaceshiphoverhud" scale = "1, 1">
+    <TimeHUD
+     name       = "TimerHUD"
+     position  = "0.95, 0.02"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.05
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "right"
+    />
+
+    <FlagHUD
+     name      = "FlagHUD"
+     position  = "0.05, 0.02"
+     size      = "0.18, 0.05"
+    />
+
+    <HUDHealthBar
+     name              = "HealthBar1"
+     background        = "Orxonox/HealthBarBackground"
+     size              = "0.35, 0.0875"
+     position          = "0.0 , 0.97"
+     pickpoint         = "0, 1"
+     bartexture        = "healthbar_bar.png"
+     textfont          = "VeraMono"
+     textusebarcolour  = true
+     textscale          = 0.4
+     textoffset        = "0.325, -0.825"
+     textpickpoint     = "0, 0"
+     textalign         = "right"
+     correctaspect     = true
+     iconmaterial      = "Orxonox/BarIconHealth"
+    >
+      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
+      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
+      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
+    </HUDHealthBar>
+ </OverlayGroup>
+</Template>
Index: /code/trunk/data/overlays/InvaderHUD.oxo
===================================================================
--- /code/trunk/data/overlays/InvaderHUD.oxo	(revision 11051)
+++ /code/trunk/data/overlays/InvaderHUD.oxo	(revision 11052)
@@ -99,10 +99,10 @@
      textfont          = "VeraMono"
      textusebarcolour  = true
-     textsize          = 0.039
-     textoffset        = "0.315, 0.05"
+     textscale          = 0.4
+     textoffset        = "0.325, -0.825"
      textpickpoint     = "0, 0"
      textalign         = "right"
-     correctaspect     = false
-     textcorrectaspect = false
+     correctaspect     = true
+     iconmaterial      = "Orxonox/BarIconHealth"
     >
       <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
Index: /code/trunk/data/overlays/jumpHUD.oxo
===================================================================
--- /code/trunk/data/overlays/jumpHUD.oxo	(revision 11051)
+++ /code/trunk/data/overlays/jumpHUD.oxo	(revision 11052)
@@ -37,21 +37,5 @@
      showFuel = false
      showMessages = true
-    />    
-
-  <HUDBar
-     name          = "SpeedBar1"
-     background    = "Orxonox/BarBackground"
-     size          = "0.35, 0.05"
-     position      = "0.0 , 1.0 "
-     pickpoint     = "0, 1"
-     correctaspect = false
-
-     initialvalue = 50
-
-     >
-      <BarColour position = 0.0 colour = "0.7,0.5,0.2" />
-      <BarColour position = 0.5 colour = "0.2,0.7,0.2" />
-      <BarColour position = 1.0 colour = "0.7,0.2,0.2" />
-    </HUDBar>
+    />
 
   </OverlayGroup>
Index: /code/trunk/data/particle/MineExpl.particle
===================================================================
--- /code/trunk/data/particle/MineExpl.particle	(revision 11052)
+++ /code/trunk/data/particle/MineExpl.particle	(revision 11052)
@@ -0,0 +1,95 @@
+particle_system Orxonox/MineExpl
+{
+	material PE/lensflare
+	particle_width 65.0
+	particle_height 40.0
+	quota 500
+	cull_each false
+	sorted false
+	local_space false
+	iteration_interval 0.0
+	nonvisible_update_timeout 0.0
+	billboard_type oriented_self
+	billboard_origin center
+	billboard_rotation_type vertex
+	point_rendering false
+	accurate_facing false
+
+	emitter Point
+	{
+		position 0.0 0.0 0.0
+		direction -1.0 0.0 0.0
+		angle 55
+		emission_rate 1250
+		velocity_min 300
+		velocity_max 300
+		time_to_live_min 1
+		time_to_live_max 2
+		duration_min 0.1
+		duration_max 0.1
+		repeat_delay_min 10
+		repeat_delay_max 10
+		colour_range_start 0 0.333333 1 1
+		colour_range_end 0 0.333333 1 1
+	}
+
+	emitter Point
+	{
+		position 0.0 0.0 0.0
+		direction 1.0 0.0 0.0
+		angle 55
+		emission_rate 200
+		velocity_min 300
+		velocity_max 300
+		time_to_live_min 2
+		time_to_live_max 2.5
+		duration_min 0.1
+		duration_max 0.1
+		repeat_delay_min 10
+		repeat_delay_max 10
+		colour_range_start 0 0.333333 1 1
+		colour_range_end 0 0.333333 1 1
+	}
+
+	emitter Point
+	{
+		position 0.0 0.0 0.0
+		direction 0.0 0.0 -1.0
+		angle 55
+		emission_rate 1250
+		velocity_min 300
+		velocity_max 300
+		time_to_live_min 2
+		time_to_live_max 2.5
+		duration_min 0.1
+		duration_max 0.1
+		repeat_delay_min 10
+		repeat_delay_max 10
+		colour_range_start 0 0.333333 1 1
+		colour_range_end 0 0.333333 1 1
+	}
+
+	emitter Point
+	{
+		position 0.0 0.0 0.0
+		direction 0.0 0.0 1.0
+		angle 55
+		emission_rate 1250
+		velocity_min 300
+		velocity_max 300
+		time_to_live_min 2
+		time_to_live_max 2.5
+		duration_min 0.1
+		duration_max 0.1
+		repeat_delay_min 10
+		repeat_delay_max 10
+		colour_range_start 0 0.333333 1 1
+		colour_range_end 0 0.333333 1 1
+	}
+
+	
+	affector Scaler
+	{
+		rate -2
+	}
+}
Index: /code/trunk/data/particle/MineExpl1.particle
===================================================================
--- /code/trunk/data/particle/MineExpl1.particle	(revision 11052)
+++ /code/trunk/data/particle/MineExpl1.particle	(revision 11052)
@@ -0,0 +1,47 @@
+particle_system Orxonox/MineExpl1
+{
+	material PE/lensflare
+	particle_width 35.0
+	particle_height 35.0
+	quota 500
+	cull_each false
+	sorted false
+	local_space false
+	iteration_interval 0.0
+	nonvisible_update_timeout 0.0
+	billboard_type oriented_self
+	billboard_origin center
+	billboard_rotation_type vertex
+	point_rendering false
+	accurate_facing false
+
+	emitter Point
+	{
+		position 0.0 0.0 0.0
+		direction 0.0 1.0 0.0
+		angle 30
+		emission_rate 2000
+		velocity_min 300
+		velocity_max 300
+		time_to_live_min 3
+		time_to_live_max 4
+		duration_min 2.0
+		duration_max 2.5
+		repeat_delay	10
+		repeat_delay_min	10
+		repeat_delay_max	10
+		colour_range_start 0 0.333333 1 1
+		colour_range_end 0 0.333333 1 1
+	}
+
+	affector DirectionRandomiser
+	{
+		randomness 5
+		scope 1
+		keep_velocity true
+	}
+	affector Scaler
+	{
+		rate -2
+	}
+}
Index: /code/trunk/data/particle/MineExpl2.particle
===================================================================
--- /code/trunk/data/particle/MineExpl2.particle	(revision 11052)
+++ /code/trunk/data/particle/MineExpl2.particle	(revision 11052)
@@ -0,0 +1,47 @@
+particle_system Orxonox/MineExpl2
+{
+	material PE/lensflare
+	particle_width 35.0
+	particle_height 35.0
+	quota 500
+	cull_each false
+	sorted false
+	local_space false
+	iteration_interval 0.0
+	nonvisible_update_timeout 0.0
+	billboard_type oriented_self
+	billboard_origin center
+	billboard_rotation_type vertex
+	point_rendering false
+	accurate_facing false
+
+	emitter Point
+	{
+		position 0.0 0.0 0.0
+		direction 0.0 -1.0 0.0
+		angle 30
+		emission_rate 2000
+		velocity_min 300
+		velocity_max 300
+		time_to_live_min 2
+		time_to_live_max 2.5
+		duration_min 0.5
+		duration_max 1.5
+		repeat_delay	10
+		repeat_delay_min	10
+		repeat_delay_max	10
+		colour_range_start 0 0.333333 1 1
+		colour_range_end 0 0.333333 1 1
+	}
+
+	affector DirectionRandomiser
+	{
+		randomness 5
+		scope 1
+		keep_velocity true
+	}
+	affector Scaler
+	{
+		rate -2
+	}
+}
Index: /code/trunk/data/particle/engine.particle
===================================================================
--- /code/trunk/data/particle/engine.particle	(revision 11052)
+++ /code/trunk/data/particle/engine.particle	(revision 11052)
@@ -0,0 +1,70 @@
+particle_system Orxonox/engine
+{
+	material PE/glowEffect
+	particle_width 10.0
+	particle_height 10.0
+	quota 2000
+	cull_each false
+	sorted false
+	local_space false
+	iteration_interval 0.0
+	nonvisible_update_timeout 0.0
+	billboard_type point
+	billboard_origin center
+	billboard_rotation_type texcoord
+	point_rendering false
+	accurate_facing false
+
+	
+
+	emitter Ring
+	{
+		position 0.0 0.0 0.0
+		direction 0.0 0.0 1.0
+		angle 0
+		width 0.5
+		height 0.5
+		depth 0
+		inner_width 0.99
+		inner_height 0.99
+		emission_rate 250
+		velocity_min 50
+		velocity_max 55
+		time_to_live_min 0.075
+		time_to_live_max 0.09
+		duration_min 0
+		duration_max 0
+		repeat_delay_min 0
+		repeat_delay_max 0
+		colour_range_start 1 0.333333 0 1
+		colour_range_end 1 0.333333 0 1
+	}
+
+	emitter Ring
+	{
+		position 0.0 0.0 0.0
+		direction 0.0 0.0 1.0
+		angle 0
+		width 0.5
+		height 0.5
+		depth 0
+		inner_width 0.1
+		inner_height 0.25
+		emission_rate 250
+		velocity_min 50
+		velocity_max 55
+		time_to_live_min 0.1
+		time_to_live_max 0.125
+		duration_min 0
+		duration_max 0
+		repeat_delay_min 0
+		repeat_delay_max 0
+		colour_range_start 1 0 0 1
+		colour_range_end 1 0 0 1
+	}
+
+	affector Scaler
+	{
+		rate -40
+	}
+}
Index: /code/trunk/data/particle/engineglow.particle
===================================================================
--- /code/trunk/data/particle/engineglow.particle	(revision 11051)
+++ /code/trunk/data/particle/engineglow.particle	(revision 11052)
@@ -1,40 +1,114 @@
-
 particle_system Orxonox/engineglow
 {
-	quota	200
-	material	PE/bigFlame
-	particle_width	12
-	particle_height	12
-	cull_each	false
-	renderer	billboard
-	billboard_type	point
+	material PE/glowEffect
+	particle_width 100.0
+	particle_height 100.0
+	quota 2000
+	cull_each false
+	sorted false
+	local_space false
+	iteration_interval 0.0
+	nonvisible_update_timeout 0.0
+	billboard_type point
+	billboard_origin center
+	billboard_rotation_type texcoord
+	point_rendering false
+	accurate_facing false
 
-	emitter HollowEllipsoid
+	emitter Ring
 	{
-		angle	0
-		colour	0.46875 0.8125 0.93359375 1
-		colour_range_start	.6640625 .91796875 .92578125 1
-		colour_range_end	.08203125 .7578125 .98046875 1
-		direction	0 1 0
-		emission_rate	45
-		position	0 0 0
-		velocity	5
-		velocity_min	4
-		velocity_max	6
-		time_to_live	0.5
-		time_to_live_min	0.2
-		time_to_live_max	0.9
-		duration	0
-		duration_min	0
-		duration_max	0
-		repeat_delay	0
-		repeat_delay_min	0
-		repeat_delay_max	0
-		width	4
-		height	2.5
-		depth	1.3
-		inner_width	0.5
-		inner_height	0.3
-		inner_depth	0.2
+		position 0.0 0.0 0.0
+		direction 0.0 0.0 1.0
+		angle 0
+		width 150
+		height 150
+		depth 1
+		inner_width 0.99
+		inner_height 0.99
+		emission_rate 30
+		velocity_min 20
+		velocity_max 20
+		time_to_live_min 5
+		time_to_live_max 5
+		duration_min 0
+		duration_max 0
+		repeat_delay_min 0
+		repeat_delay_max 0
+		colour_range_start 0.666667 1 0 1
+		colour_range_end 0 1 0 1
+	}
+
+	emitter Ring
+	{
+		position 0.0 0.0 0.0
+		direction 0.0 0.0 1.0
+		angle 0
+		width 130
+		height 130
+		depth 0
+		inner_width 0.99
+		inner_height 0.99
+		emission_rate 10
+		velocity_min 200
+		velocity_max 200
+		time_to_live_min 0.75
+		time_to_live_max 0.75
+		duration_min 0
+		duration_max 0
+		repeat_delay_min 0
+		repeat_delay_max 0
+		colour_range_start 1 1 0 1
+		colour_range_end 1 1 0.498039 1
+	}
+
+	emitter Ring
+	{
+		position 0.0 0.0 0.0
+		direction 0.0 0.0 1.0
+		angle 0
+		width 80
+		height 80
+		depth 0
+		inner_width 0.99
+		inner_height 0.99
+		emission_rate 57.89
+		velocity_min 250
+		velocity_max 250
+		time_to_live_min 1
+		time_to_live_max 1
+		duration_min 0
+		duration_max 0
+		repeat_delay_min 0
+		repeat_delay_max 0
+		colour_range_start 1 0.333333 0 1
+		colour_range_end 1 0.333333 0 1
+	}
+
+	emitter Ring
+	{
+		position 0.0 0.0 0.0
+		direction 0.0 0.0 1.0
+		angle 0
+		width 50
+		height 50
+		depth 0
+		inner_width 0.01
+		inner_height 0.5
+		emission_rate 37.89
+		velocity_min 300
+		velocity_max 300
+		time_to_live_min 1.5
+		time_to_live_max 1.5
+		duration_min 0
+		duration_max 0
+		repeat_delay_min 0
+		repeat_delay_max 0
+		colour_range_start 1 0 0 1
+		colour_range_end 1 0 0 1
+	}
+
+	affector Scaler
+	{
+		rate -20
 	}
 }
Index: /code/trunk/data/particle/ice.particle
===================================================================
--- /code/trunk/data/particle/ice.particle	(revision 11052)
+++ /code/trunk/data/particle/ice.particle	(revision 11052)
@@ -0,0 +1,59 @@
+particle_system Orxonox/ice
+{
+	material PE/iceCrystal
+	particle_width 5
+	particle_height 5
+	quota 7000
+	cull_each false
+	sorted false
+	local_space false
+	iteration_interval 0.0
+	nonvisible_update_timeout 0.0
+	billboard_type point
+	billboard_origin center
+	billboard_rotation_type texcoord
+	point_rendering false
+	accurate_facing false
+
+	emitter Box
+	{
+		position 0.0 0.0 0.0
+		direction 1.0 1.0 1.0
+		angle 45
+		width 20
+		height 20
+		depth 20
+		emission_rate 200
+		velocity_min 1
+		velocity_max 1
+		time_to_live_min 3
+		time_to_live_max 6
+		duration_min 0
+		duration_max 0
+		repeat_delay_min 0
+		repeat_delay_max 0
+		colour_range_start 1 1 1 1
+		colour_range_end 0.9 1 1 1
+	}
+
+	affector LinearForce
+	{
+		force_vector 0.0 -0.5 1.0
+		force_application add
+	}
+
+	affector DirectionRandomiser
+	{
+		randomness 50
+		scope 100
+		keep_velocity true
+	}
+
+	affector Rotator
+	{
+		rotation_speed_range_start 43.26
+		rotation_speed_range_end 0
+		rotation_range_start 0
+		rotation_range_end 0
+	}
+}
Index: /code/trunk/data/particle/mineparticle.particle
===================================================================
--- /code/trunk/data/particle/mineparticle.particle	(revision 11052)
+++ /code/trunk/data/particle/mineparticle.particle	(revision 11052)
@@ -0,0 +1,53 @@
+particle_system Orxonox/mineparticle
+{
+	material PE/lensflare
+	particle_width 5.0
+	particle_height 5.0
+	quota 2000
+	cull_each true
+	sorted true
+	local_space false
+	iteration_interval 0.0
+	nonvisible_update_timeout 0.0
+	billboard_type point
+	billboard_origin bottom_right
+	billboard_rotation_type vertex
+	point_rendering false
+	accurate_facing false
+
+	emitter HollowEllipsoid
+	{
+		position 0.0 0.0 0.0
+		direction 0.0 0.0 1.0
+		angle 0
+		width 20
+		height 20
+		depth 20
+		inner_width 0.99
+		inner_height 0.99
+		inner_depth 0.99
+		emission_rate 20.12
+		velocity_min 1
+		velocity_max 1
+		time_to_live_min 5
+		time_to_live_max 5
+		duration_min 0
+		duration_max 0
+		repeat_delay_min 0
+		repeat_delay_max 0
+		colour_range_start 1 0 0 1
+		colour_range_end 1 0 0 1
+	}
+
+	affector Scaler
+	{
+		rate -2
+	}
+	affector Rotator
+	{
+		rotation_speed_range_start 100
+		rotation_speed_range_end 500
+		rotation_range_start 0
+		rotation_range_end 180
+	}
+}
Index: /code/trunk/data/particle/psygun.particle
===================================================================
--- /code/trunk/data/particle/psygun.particle	(revision 11052)
+++ /code/trunk/data/particle/psygun.particle	(revision 11052)
@@ -0,0 +1,62 @@
+particle_system Orxonox/psygun
+{
+	material PE/glowEffect
+	particle_width 200.0
+	particle_height 200.0
+	quota 300
+	cull_each false
+	sorted false
+	local_space false
+	iteration_interval 0.0
+	nonvisible_update_timeout 0.0
+	billboard_type point
+	billboard_origin top_right
+	billboard_rotation_type vertex
+	point_rendering false
+	accurate_facing true
+
+	emitter Point
+	{
+		position 0.0 0.0 0.0
+		direction 0.0 1.0 0.0
+		angle 154.8
+		emission_rate 400
+		velocity_min 100
+		velocity_max 300
+		time_to_live_min 0
+		time_to_live_max 3.38
+		duration_min 1
+		duration_max 1
+		repeat_delay_min 0.11
+		repeat_delay_max 2.81
+		colour_range_start 0.666667 0 0.498039 1
+		colour_range_end 1 0 0.498039 1
+	}
+
+	affector LinearForce
+	{
+		force_vector 0.0 12.32 0.0
+		force_application add
+	}
+
+	affector Rotator
+	{
+		rotation_speed_range_start 100
+		rotation_speed_range_end 500
+		rotation_range_start 0
+		rotation_range_end 180
+	}
+
+	affector Scaler
+	{
+		rate -98.82
+	}
+
+	affector ColourFader
+	{
+		red -0.93
+		green -1
+		blue 1
+		alpha -1
+	}
+}
Index: /code/trunk/data/particle/rocketfire.particle
===================================================================
--- /code/trunk/data/particle/rocketfire.particle	(revision 11051)
+++ /code/trunk/data/particle/rocketfire.particle	(revision 11052)
@@ -1,50 +1,63 @@
 particle_system Orxonox/rocketfire
 {
-	quota	300
-	material	PE/explosion
-	particle_width	15
-	particle_height	5
-	cull_each	false
-	renderer	billboard
-	sorted	false
-	local_space	false
-	iteration_interval	0
-	nonvisible_update_timeout	0
-	billboard_type	point
-	billboard_origin	center
-	billboard_rotation_type	texcoord
-	common_up_vector	0 1 0
-	point_rendering	false
-	accurate_facing	false
+	material PE/glowEffect
+	particle_width 2
+	particle_height 2
+	quota 10000
+	cull_each true
+	sorted true
+	local_space true
+	iteration_interval 0.0
+	nonvisible_update_timeout 0.0
+	billboard_type point
+	billboard_origin center
+	billboard_rotation_type texcoord
+	point_rendering false
+	accurate_facing false
 
 	emitter Ellipsoid
 	{
-		angle	2
-		colour	1 0.682759 1 1
-		colour_range_start	1 0.682759 1 1
-		colour_range_end	1 0.682759 1 1
-		direction	0 0 1
-		emission_rate	1200
-		position	0 0 3
-		velocity	10
-		velocity_min	10
-		velocity_max	48
-		time_to_live	0.1
-		time_to_live_min	0.1
-		time_to_live_max	0.2
-		duration	0
-		duration_min	0
-		duration_max	0
-		repeat_delay	0
-		repeat_delay_min	0
-		repeat_delay_max	0
-		width	1.5
-		height	1.5
-		depth	10
+		position 0.05 0.0 2.0
+		direction 0.0 0.0 1.0
+		angle 0
+		width 0
+		height 0
+		depth 0
+		emission_rate 1200
+		velocity_min 10
+		velocity_max 20
+		time_to_live_min 0.1
+		time_to_live_max 0.1
+		duration_min 0
+		duration_max 0
+		repeat_delay_min 0
+		repeat_delay_max 0
+		colour_range_start 1 0.333333 0 1
+		colour_range_end 1 0 0 1
+	}
+	emitter Ellipsoid
+	{
+		position 0.05 0.0 2.0
+		direction 0.0 0.0 1.0
+		angle 0
+		width 0
+		height 0
+		depth 0
+		emission_rate 100
+		velocity_min 5
+		velocity_max 10
+		time_to_live_min 0.1
+		time_to_live_max 0.1
+		duration_min 0
+		duration_max 0
+		repeat_delay_min 0
+		repeat_delay_max 0
+		colour_range_start 0.2 0.5 0.65
+		colour_range_end 0.25 0.55 0.7
 	}
 
 	affector Scaler
 	{
-		rate	-20
+		rate -8
 	}
 }
Index: /code/trunk/src/libraries/core/GUIManager.cc
===================================================================
--- /code/trunk/src/libraries/core/GUIManager.cc	(revision 11051)
+++ /code/trunk/src/libraries/core/GUIManager.cc	(revision 11052)
@@ -36,4 +36,8 @@
 #include <OgreRenderWindow.h>
 
+extern "C" {
+#include <lua.h>
+}
+
 #if CEGUI_VERSION >= 0x000800
 #   include <CEGUI/DefaultLogger.h>
@@ -251,7 +255,26 @@
     /*static*/ const std::string GUIManager::defaultScheme_ = "TaharezGreen"; //Alternative: Orxonox (not fully complete yet, see the graphics menu)
 
-    SetConsoleCommand("showGUI", &GUIManager::showGUI).defaultValue(1, false).defaultValue(2, false);
-    SetConsoleCommand("hideGUI", &GUIManager::hideGUI);
-    SetConsoleCommand("toggleGUI", &GUIManager::toggleGUI).defaultValue(1, false).defaultValue(2, false);
+    namespace autocompletion
+    {
+        /**
+            @brief Returns the names of all currently existing OverlayGroups.
+        */
+        ARGUMENT_COMPLETION_FUNCTION_DECLARATION(guinames)();
+        ARGUMENT_COMPLETION_FUNCTION_IMPLEMENTATION(guinames)()
+        {
+            ArgumentCompletionList names;
+            const std::vector<std::string> guis = GUIManager::getInstance().getLoadedGUIs();
+            for (size_t i = 0; i < guis.size(); ++i)
+                names.push_back(ArgumentCompletionListElement(guis[i], getLowercase(guis[i])));
+            return names;
+        }
+    }
+
+    SetConsoleCommand("showGUI", &GUIManager::showGUI).defaultValue(1, false).defaultValue(2, false)
+            .argumentCompleter(0, autocompletion::guinames());
+    SetConsoleCommand("hideGUI", &GUIManager::hideGUI)
+            .argumentCompleter(0, autocompletion::guinames());
+    SetConsoleCommand("toggleGUI", &GUIManager::toggleGUI).defaultValue(1, false).defaultValue(2, false)
+            .argumentCompleter(0, autocompletion::guinames());
 
     RegisterAbstractClass(GUIManager).inheritsFrom<WindowEventListener>();
@@ -489,4 +512,26 @@
     {
         this->luaState_->doString(str, rootFileInfo_);
+    }
+
+    std::vector<std::string> GUIManager::getLoadedGUIs()
+    {
+        // TODO: is there a better way to read back a return value from lua? i.e. by using LuaState?
+        lua_State* L = this->luaState_->getInternalLuaState();
+
+        // push function
+        lua_getglobal(L, "getLoadedSheets");
+
+        // do the call (0 arguments, 1 result)
+        if (lua_pcall(L, 0, 1, 0) != 0)
+          orxout(internal_error) << "error running function: " << lua_tostring(L, -1) << endl;
+
+        // retrieve result
+        if (!lua_isstring(L, -1))
+          orxout(internal_error) << "function must return a string" << endl;
+        std::string value = lua_tostring(L, -1);
+        lua_pop(L, 1);
+
+        SubString tokens(value, ",");
+        return tokens.getAllStrings();
     }
 
Index: /code/trunk/src/libraries/core/GUIManager.h
===================================================================
--- /code/trunk/src/libraries/core/GUIManager.h	(revision 11051)
+++ /code/trunk/src/libraries/core/GUIManager.h	(revision 11052)
@@ -107,4 +107,6 @@
         void preUpdate(const Clock& time);
 
+        std::vector<std::string> getLoadedGUIs();
+
         void loadGUI(const std::string& name);
         static void showGUI(const std::string& name, bool bHidePrevious = false, bool bNoInput = false);
